## org.eclipse.datatools.connectivity.db.generic
Class JDBCConnection

    java.lang.Object
      org.eclipse.datatools.connectivity.VersionProviderConnection
          org.eclipse.datatools.connectivity.DriverConnectionBase
              org.eclipse.datatools.connectivity.drivers.jdbc.JDBCConnection
                  org.eclipse.datatools.connectivity.db.generic.JDBCConnection

All Implemented Interfaces:
  IConnection, IServerVersionProvider

Direct Known Subclasses:
  HSQLDBJDBCConnection, SQLITEJDBCConnection

    public class JDBCConnection

extends JDBCConnection

NON-API IConnection implementation for `java.sql.Connection` objects. This object is responsible for openening and closing JDBC connections. The property keys specified in `org.eclipse.datatools.connectivity.db.generic.IDBConnectionProfileConstants` are used to create the connection. Version information is provided by using `java.sql.DatabaseMetaData`.

Field Summary

Fields inherited from class org.eclipse.datatools.connectivity.drivers.jdbc.JDBCConnection
`TECHNOLOGY_NAME, TECHNOLOGY_ROOT_KEY`

Constructor Summary
`JDBCConnection(IConnectionProfile profile, java.lang.Class factoryClass)`

Method Summary

Methods inherited from class org.eclipse.datatools.connectivity.drivers.jdbc.JDBCConnection
`close, createClassLoader, getJarListAsArray, getProviderName, getProviderVersion, getTechnologyName, getTechnologyVersion, open`

Methods inherited from class org.eclipse.datatools.connectivity.DriverConnectionBase
`getConnectException, getRawConnection`

Methods inherited from class org.eclipse.datatools.connectivity.VersionProviderConnection
`getConnectionFactoryClass, getConnectionProfile`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCConnection

    public JDBCConnection(IConnectionProfile profile,
                          java.lang.Class factoryClass)